<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Diagnosa extends Model
{
    use HasFactory;

    protected $table = 'diagnosa';
    protected $fillable = ['code_gejala', 'value_cf_user', 'value_cf_pakar', 'result', 'id_penyakit', 'penyakit', 'solution'];


    public function data_penyakit()
    {
        return $this->belongsTo(Penyakit::class, 'id_penyakit');
    }
}
