<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ppdbs', function (Blueprint $table) {
            $table->id();
            $table->string('major');
            $table->string("name");
            $table->string("gender");
            $table->string("birthplace");
            $table->string("birthday");
            $table->string("nisn");
            $table->string("nik");
            $table->string("religion");
            $table->string("height");
            $table->string("weight");
            $table->string("no_birth_registration")->nullable();
            $table->string("address");
            $table->string("village");
            $table->string("subdistrict");
            $table->string("regency");
            $table->string("postal_code");
            $table->string("residence");
            $table->string("distance_from_school");
            $table->string("transportation");
            $table->string("number_of_sibling");
            $table->string("child_order");
            $table->string("origin_middle_school");
            $table->string("certificate_serial_number")->nullable();
            $table->string("skhus_serial_number")->nullable();
            $table->string("national_exam_number")->nullable();
            $table->string("kks_number")->nullable();
            $table->string("kps_number")->nullable();
            $table->string("kip_number")->nullable();
            $table->string("has_smartphone");
            $table->string("father_name");
            $table->string("father_job");
            $table->string("father_income");
            $table->string("father_education");
            $table->string("father_birth_year");
            $table->string("mother_name");
            $table->string("mother_job");
            $table->string("mother_income");
            $table->string("mother_education");
            $table->string("mother_birth_year");
            $table->string("custodian_name")->nullable();
            $table->string("custodian_job")->nullable();
            $table->string("custodian_income")->nullable();
            $table->string("custodian_education")->nullable();
            $table->string("custodian_birth_year")->nullable();
            $table->string("phone_number");
            $table->string("email");
            $table->string("self_development");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ppdbs');
    }
};
