<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\Alumni;
use App\Models\Gejala;
use App\Models\News;
use App\Models\NilaiCF;
use App\Models\NilaiKeyakinanCF;
use App\Models\Penyakit;
use App\Models\Teacher;
use Illuminate\Http\Request;

class AdminHomeController extends Controller
{
    function __construct()
    {
        $this->middleware("auth");
        parent::__construct();
    }

    public function index()
    {
        $penyakit = Penyakit::count();
        $gejala = Gejala::count();
        $nilaiKeyakinanCF = NilaiKeyakinanCF::count();

        return view("index")->with(["penyakit" => $penyakit, "gejala" => $gejala,  "nilaiKeyakinanCF" => $nilaiKeyakinanCF]);
    }
}
