-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 21, 2025 at 07:16 PM
-- Server version: 10.4.25-MariaDB
-- PHP Version: 8.1.10

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `certainly_factor_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `diagnosa`
--

CREATE TABLE `diagnosa` (
  `id` int(11) NOT NULL,
  `code_gejala` text NOT NULL,
  `value_cf_user` text NOT NULL,
  `value_cf_pakar` text NOT NULL,
  `result` double NOT NULL,
  `id_penyakit` int(11) NOT NULL,
  `penyakit` varchar(255) NOT NULL,
  `solution` text DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `diagnosa`
--

INSERT INTO `diagnosa` (`id`, `code_gejala`, `value_cf_user`, `value_cf_pakar`, `result`, `id_penyakit`, `penyakit`, `solution`, `created_at`, `updated_at`) VALUES
(15, '[\"G01\",\"G05\",\"G06\"]', '[\"1\",\"0.6\",\"1\"]', '[0.4,0.6,0.8]', 92, 1, 'ND (Newcastle Disease) atau Tetelo', 'Isolasi ayam yang sakit, vaksinasi rutin, dan pemberian antibiotik untuk infeksi sekunder', '2025-03-21 10:58:34', '2025-03-21 10:58:34');

-- --------------------------------------------------------

--
-- Table structure for table `failed_jobs`
--

CREATE TABLE `failed_jobs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `uuid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `gejala`
--

CREATE TABLE `gejala` (
  `id` int(11) NOT NULL,
  `code` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `value_cf_pakar` double NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `gejala`
--

INSERT INTO `gejala` (`id`, `code`, `name`, `value_cf_pakar`, `created_at`, `updated_at`) VALUES
(1, 'G01', 'Sesak Nafas Ayam menunjukkan kesulitan bernafas, sering disertai dengan suara ngorok', 0.4, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(2, 'G02', 'Keluar cairan bening atau kental dari hidung dan mata', 0.6, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(3, 'G03', 'Ayam tampak lesu dan kurang aktif', 0.4, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(4, 'G04', 'Kepala dan leher ayam yang berputar atau memutar.(Tortikolis)', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(5, 'G05', 'Keluar lendir dari rongga hidung dan mulut', 0.6, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(6, 'G06', 'Ayam mengalami kelumpuhan pada sayap dan kaki, menyebabkan kesulitan bergerak.', 0.8, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(7, 'G07', 'Ayam cenderung berdiri dengan kepala tertunduk dan mengembang', 0.4, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(8, 'G08', 'Bulu ayam menjadi kusam, acak-acakan, dan rontok.', 0.4, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(9, 'G09', 'Tingkat kematian sangat tinggi dan singkat', 0.8, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(10, 'G10', 'Ayam terlihat goyah dan kesulitan menjaga keseimbangan.', 0.8, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(11, 'G11', 'Pucatnya Jengger dan pial', 0.6, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(12, 'G12', 'Pembengkakan parah di sekitar wajah', 0.8, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(13, 'G13', 'Dehidrasi dan ayam tampak kering', 0.8, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(14, 'G14', 'Pada ayam muda lambatnya pertumbuhan', 0.4, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(15, 'G15', 'Mata ayam berair tampak merah dan iritasi', 0.6, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(16, 'G16', 'Perdarahan di otot dan paha', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(17, 'G17', 'Pembengkakan disekitar wajah, terutama dibagian mata dan sinus', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(18, 'G18', 'Ayam menunjukkan penurunan nafsu makan', 0.4, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(19, 'G19', 'Kotoran berwarna merah seperti darah', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(20, 'G20', 'Diare berwarna kuning kehijauan', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(21, 'G21', 'Ayam bisa mengalami diare yang sering kali berwarna hijau atau berdarah', 0.8, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(22, 'G22', 'Penurunan produksi telur, Telur yang dihasilkan memiliki cangkang yang tipis dan berukuran kecil', 0.4, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(23, 'G23', 'Produksi telur menurun drastis', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(24, 'G24', 'Kematian ayam mendadak', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(25, 'G25', 'Pembengkakan pada sendi-sendi kaki,menyebabkan kesulitan bergerak', 0.8, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(26, 'G26', 'Kotoran ayam menjadi berwarna putih kapur', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(27, 'G27', 'Penurunan nafsu makan yang berakibat penurunan berat bedan', 0.4, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(28, 'G28', 'Penurunan produksi telur dengan cangkang lunak atau bentuk abnormal', 0.8, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(29, 'G29', 'Hidung ayam sering mengeluarkan cairan kental berbau busuk', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21'),
(30, 'G30', 'Batuk dan bersin dengan suara yang khas', 1, '2025-03-17 23:29:21', '2025-03-17 23:29:21');

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1, '2014_10_12_000000_create_users_table', 1),
(2, '2014_10_12_100000_create_password_reset_tokens_table', 1),
(3, '2019_08_19_000000_create_failed_jobs_table', 1),
(4, '2019_12_14_000001_create_personal_access_tokens_table', 1),
(5, '2024_02_21_104543_create_teachers_table', 1),
(6, '2024_02_21_104554_create_news_table', 1),
(7, '2024_02_21_104631_create_alumnis_table', 1),
(8, '2024_02_21_104645_create_settings_table', 1),
(9, '2024_02_21_104805_create_majors_table', 1),
(10, '2024_02_21_104832_create_studentships_table', 1),
(11, '2024_02_21_104914_create_sliders_table', 1),
(12, '2024_02_21_104944_create_contacts_table', 1),
(14, '2024_02_21_105417_create_ppdbs_table', 2),
(15, '2024_03_15_092633_create_type_studentships_table', 3);

-- --------------------------------------------------------

--
-- Table structure for table `nilai_keyakinan_cf`
--

CREATE TABLE `nilai_keyakinan_cf` (
  `id` int(11) NOT NULL,
  `istilah` varchar(255) NOT NULL,
  `nilai` double NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `nilai_keyakinan_cf`
--

INSERT INTO `nilai_keyakinan_cf` (`id`, `istilah`, `nilai`, `created_at`, `updated_at`) VALUES
(2, 'Sangat Yakin', 1, '2025-03-17 06:58:24', '2025-03-17 06:58:24'),
(3, 'Yakin', 0.8, '2025-03-17 18:29:13', '2025-03-17 18:29:13'),
(4, 'Cukup Yakin', 0.6, '2025-03-17 18:29:24', '2025-03-17 18:29:24'),
(5, 'Sedikit Yakin', 0.4, '2025-03-17 18:29:35', '2025-03-17 18:29:35'),
(6, 'Tidak Tahu', 0.2, '2025-03-17 18:29:45', '2025-03-17 18:29:45'),
(7, 'Tidak', 0, '2025-03-17 18:29:53', '2025-03-17 18:29:53');

-- --------------------------------------------------------

--
-- Table structure for table `password_reset_tokens`
--

CREATE TABLE `password_reset_tokens` (
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `penyakit`
--

CREATE TABLE `penyakit` (
  `id` int(11) NOT NULL,
  `code` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `solution` text DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `penyakit`
--

INSERT INTO `penyakit` (`id`, `code`, `name`, `solution`, `image`, `created_at`, `updated_at`) VALUES
(1, 'P01', 'ND (Newcastle Disease) atau Tetelo', 'Isolasi ayam yang sakit, vaksinasi rutin, dan pemberian antibiotik untuk infeksi sekunder', '4zPcc174718.png', '2025-03-17 23:30:13', '2025-03-21 10:47:18'),
(2, 'P02', 'CRD (Chronic Respiratory Disease)', 'Berikan antibiotik seperti Tylosin dan lakukan sanitasi kandang', NULL, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(3, 'P03', 'Berak Putih (Pullorum Disease)', 'Isolasi ayam yang terinfeksi dan berikan antibiotik seperti Furazolidone', NULL, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(4, 'P04', 'Berak Darah (Cocciodiosis)', 'Berikan obat anticoccidia dan jaga kebersihan kandang', NULL, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(5, 'P05', 'Gumboro (Infectious Bursal Disease)', 'Lakukan vaksinasi dan beri multivitamin untuk meningkatkan daya tahan tubuh ayam', NULL, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(6, 'P06', 'Kolera', 'Berikan antibiotik seperti Sulfadimethoxine dan lakukan desinfeksi kandang secara rutin', NULL, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(7, 'P07', 'Coryza', 'Gunakan antibiotik seperti Erythromycin dan jaga sirkulasi udara di kandang', NULL, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(8, 'P08', 'Infectious Bronchitis (IB)', 'Berikan vaksinasi serta pakan bergizi untuk meningkatkan daya tahan ayam', NULL, '2025-03-17 23:30:13', '2025-03-17 23:30:13');

-- --------------------------------------------------------

--
-- Table structure for table `personal_access_tokens`
--

CREATE TABLE `personal_access_tokens` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `tokenable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `rule`
--

CREATE TABLE `rule` (
  `id` int(11) NOT NULL,
  `id_penyakit` int(11) NOT NULL,
  `id_gejala` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `rule`
--

INSERT INTO `rule` (`id`, `id_penyakit`, `id_gejala`, `created_at`, `updated_at`) VALUES
(1, 1, 1, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(2, 1, 4, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(3, 1, 5, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(4, 1, 6, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(5, 1, 9, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(6, 1, 10, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(7, 1, 24, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(8, 2, 1, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(9, 2, 2, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(11, 2, 12, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(12, 2, 30, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(13, 3, 3, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(14, 3, 14, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(15, 3, 18, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(16, 3, 26, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(17, 3, 27, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(18, 4, 7, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(19, 4, 16, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(20, 4, 19, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(21, 4, 21, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(22, 5, 3, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(23, 5, 9, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(24, 5, 13, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(25, 5, 18, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(26, 5, 20, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(27, 6, 9, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(28, 6, 16, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(29, 6, 17, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(30, 6, 25, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(31, 7, 2, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(32, 7, 12, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(33, 7, 15, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(34, 7, 17, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(35, 7, 29, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(36, 8, 1, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(37, 8, 22, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(38, 8, 23, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(39, 8, 28, '2025-03-17 23:30:13', '2025-03-17 23:30:13'),
(40, 8, 30, '2025-03-17 23:30:13', '2025-03-17 23:30:13');

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE `settings` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `key` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `key`, `value`, `created_at`, `updated_at`) VALUES
(4, 'logo', 'logo.png', '2024-02-28 09:08:05', '2024-02-28 09:08:05'),
(8, 'website_name', 'Certainly Factor', '2024-02-28 09:08:05', '2025-03-17 20:30:33');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `role` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'user',
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `name`, `email`, `email_verified_at`, `password`, `role`, `remember_token`, `created_at`, `updated_at`) VALUES
(1, 'Admin', 'admin@gmail.com', '2024-02-24 05:05:56', '$2y$12$2p9.XcbdUSKX8J1A/VzKruGsxyXofja6Cp45Hjg7xXaHyIhR.gWQy', 'admin', 'xAGhphOM5GEAtDI839QzOuUUyXC8MGRqkefpmAP6RAUoQJASTNvdHGk8nwDV', '2024-02-24 05:05:57', '2024-02-28 14:19:57'),
(2, 'User', 'user@gmail.com', '2024-02-24 05:05:56', '$2y$12$qjJxwUUCgQq3xcCA.2s3ueZs5tJ2/57.eWFtGGEXpE51XiCFOEGkC', 'user', 'r5I41Ly62f4tHH7ie5cIcpxXWM5E2BuuFu3BOTEVBrtcSWNKPKIYuESuvVLI', '2024-02-24 05:05:57', '2025-03-17 20:31:47');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `diagnosa`
--
ALTER TABLE `diagnosa`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `failed_jobs`
--
ALTER TABLE `failed_jobs`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`);

--
-- Indexes for table `gejala`
--
ALTER TABLE `gejala`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `nilai_keyakinan_cf`
--
ALTER TABLE `nilai_keyakinan_cf`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `password_reset_tokens`
--
ALTER TABLE `password_reset_tokens`
  ADD PRIMARY KEY (`email`);

--
-- Indexes for table `penyakit`
--
ALTER TABLE `penyakit`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `personal_access_tokens`
--
ALTER TABLE `personal_access_tokens`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  ADD KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`);

--
-- Indexes for table `rule`
--
ALTER TABLE `rule`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `key_unique` (`key`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_email_unique` (`email`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `diagnosa`
--
ALTER TABLE `diagnosa`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `failed_jobs`
--
ALTER TABLE `failed_jobs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `gejala`
--
ALTER TABLE `gejala`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=31;

--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `nilai_keyakinan_cf`
--
ALTER TABLE `nilai_keyakinan_cf`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `penyakit`
--
ALTER TABLE `penyakit`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `personal_access_tokens`
--
ALTER TABLE `personal_access_tokens`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `rule`
--
ALTER TABLE `rule`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=54;

--
-- AUTO_INCREMENT for table `settings`
--
ALTER TABLE `settings`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
