<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <link rel="icon" type="image/x-icon" href="{{ asset('assets') . '/' . $site_settings['logo'] }}">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ $site_settings['website_name'] . ' | ' . $title  }}</title>
    @include('admin.layouts.ext-css')
    @stack('css')
</head>

<body>
    <div class="page">
        <!-- Sidebar -->
        @include('admin.layouts.sidebar')
        <!-- Navbar -->
        @include('admin.layouts.navbar')
        <div class="page-wrapper">
            @yield('content')
            @include('admin.layouts.footer')
        </div>
    </div>
    @include('admin.layouts.ext-js')
    @stack('js')
</body>

</html>
