<style>
    .navbar-brand-autodark {
        background-color: white
    }

    /* Custom Styles for Header */
    .navbar-brand-autodark a {
        transition: opacity 0.3s ease;
    }

    .navbar-brand-autodark a:hover {
        opacity: 0.8;
    }

    .navbar-toggler {
        border: none;
        outline: none;
    }

    .navbar-toggler-icon {
        background-color: white;
        border-radius: 3px;
    }

    .btn-danger {
        background-color: #dc3545;
        border: none;
        transition: background-color 0.3s ease;
    }

    .btn-danger:hover {
        background-color: #c82333;
    }

    .nav-link {
        transition: color 0.3s ease;
    }

    .nav-link:hover {
        color: #206BC4 !important;
    }

    /* Sidebar Container */
    #sidebar-menu {
        background-color: #182433;
        color: white;
    }

    /* Active Menu Item */
    #sidebar-menu .active {
        background-color: #206BC4 !important;
        color: white !important;
        border-radius: 5px;
    }

    #sidebar-menu .active:hover a {
        color: #AAA !important;
    }

    /* Nav Items */
    #sidebar-menu .nav-item {
        padding: 5px 10px;
        transition: background-color 0.3s ease;
    }

    #sidebar-menu .nav-item:hover {
        background-color: #182433;
        border-radius: 5px;
    }

    /* Dropdown Toggle */
    #sidebar-menu .dropdown-toggle {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 5px 15px;
        width: 100%;
        color: white;
        text-decoration: none;
    }

    /* Dropdown Menu */
    #sidebar-menu .dropdown-menu {
        background-color: #182433;
        border: none;
        margin-top: 5px;
        border-radius: 5px;
    }

    #sidebar-menu .dropdown-menu .dropdown-item {
        padding: 10px 20px;
        color: white;
        transition: background-color 0.3s ease;
    }

    #sidebar-menu .dropdown-menu .dropdown-item:hover {
        background-color: #206BC4;
        color: white;
        border-radius: 5px;
    }

    /* Icons */
    #sidebar-menu .nav-link-icon i,
    .nav-item i,
    #sidebar-menu .dropdown-item i {
        font-size: 18px;
        color: white;
        margin-right: 10px;
    }

    /* Rotating Arrow */
    .dropdown-toggle .arrow {
        transition: transform 0.3s ease-in-out;
    }

    .dropdown-toggle[aria-expanded="true"] .arrow {
        transform: rotate(180deg);
    }

    /* Nav Link Title */
    .nav-link-title {
        font-size: 14px;
        font-weight: 500;
    }

    /* Dropdown Item Title */
    .dropdown-item {
        font-size: 14px;
    }

    /* Smooth Transitions */
    .nav-link,
    .dropdown-item,
    .dropdown-toggle {
        transition: all 0.3s ease;
    }

    /* Submenu Padding */
    .collapse .nav-item {
        padding-left: 40px;
        /* Indent submenu items */
    }
</style>
