@extends('admin.layouts.main', ['title' => 'Home'])
@section('content')
    <div class="page-body">
        <div class="container-xl">
            <div class="row">
                <div class="col-md-6 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="subheader">Penyakit</div>
                            </div>
                            <div class="h1 mb-3">{{ $penyakit }}</div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="subheader">Gejala</div>
                            </div>
                            <div class="h1 mb-3">{{ $gejala }}</div>
                        </div>
                    </div>
                </div>
                @if (Auth::user()->role == 'admin')
                    <div class="col-md-6 mb-3">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex align-items-center">
                                    <div class="subheader">Nilai Keyakinan CF</div>
                                </div>
                                <div class="h1 mb-3">{{ $nilaiKeyakinanCF }}</div>
                            </div>
                        </div>
                    </div>
                @endif
            </div>

            <img src="{{ asset('assets/home.jpg') }}" style="width:100%">
        </div>
    </div>
@endsection
